﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.51
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private Cmp As CompressedStreams
End Sub

Public Sub ConvertToMaps(RawLayout As List) As List
	Dim Layout As List
	Layout.Initialize
	Dim CurrentMap As Map
	For Each Line As String In RawLayout
		If Line.StartsWith("[") And Line.EndsWith("]") Then
			If CurrentMap.IsInitialized Then
				Layout.Add(CurrentMap)
			End If
			Layout.Add(Line)
			Dim M As Map
			M.Initialize
			CurrentMap = M
		Else
			Dim PosEgal As Int = Line.IndexOf("=")
			If PosEgal > 0 Then
				Dim Key As String = Line.SubString2(0, PosEgal)
				Dim Value As String = Line.SubString(PosEgal + 1)
				CurrentMap.Put(Key, Value)
			End If
		End If
	Next
	If CurrentMap.IsInitialized Then
		Layout.Add(CurrentMap)
	End If
	Return Layout
End Sub

Public Sub ReadCompressedLayout(Dir As String, FileName As String) As List
	Dim InS As InputStream = File.OpenInput(Dir, FileName)
	InS = Cmp.WrapInputStream(InS, "zlib")
	Dim Reader As TextReader
	Reader.Initialize(InS)
	Return ConvertToMaps(Reader.ReadList)
End Sub

Public Sub WriteCompressedLayout(Dir As String, FileName As String, Content As String)
	Dim OutS As OutputStream = File.OpenOutput(Dir, FileName, False)
	OutS = Cmp.WrapOutputStream(OutS, "zlib")
	Dim TW As TextWriter
	TW.Initialize(OutS)
	TW.Write(Content)
	TW.Close
End Sub

Public Sub WriteTextLayout(Dir As String, FileName As String, Content As String)
	File.WriteString(Dir, FileName, Content)
End Sub
